Browse Source

Sync with portage [Sun Sep 10 23:41:17 MSK 2017].

mhiretskiy
root 5 years ago
parent
commit
f972416b4e
  1. 64
      app-admin/ansible/ansible-2.3.2.0-r1.ebuild
  2. 65
      app-admin/ansible/ansible-2.3.2.0-r2.ebuild
  3. 1
      app-admin/ansible/ansible-9999.ebuild
  4. 1
      app-admin/prelude-manager/Manifest
  5. 58
      app-admin/prelude-manager/prelude-manager-4.0.0.ebuild
  6. 4
      app-admin/puppet-agent/Manifest
  7. 111
      app-admin/puppet-agent/puppet-agent-1.10.5.ebuild
  8. 2
      app-admin/puppet-agent/puppet-agent-1.10.6.ebuild
  9. 111
      app-admin/puppet-agent/puppet-agent-1.10.7.ebuild
  10. 68
      app-admin/r10k/r10k-1.5.1-r2.ebuild
  11. 2
      app-admin/salt/Manifest
  12. 138
      app-admin/salt/salt-2017.7.0.ebuild
  13. 140
      app-admin/salt/salt-2017.7.1.ebuild
  14. 2
      app-admin/sudo/Manifest
  15. 0
      app-admin/sudo/sudo-1.8.21_p2.ebuild
  16. 1
      app-admin/systemrescuecd-x86/Manifest
  17. 61
      app-admin/systemrescuecd-x86/systemrescuecd-x86-5.1.0.ebuild
  18. 4
      app-arch/bzip2/bzip2-1.0.6-r8.ebuild
  19. 1
      app-crypt/acme/Manifest
  20. 38
      app-crypt/acme/acme-0.18.1.ebuild
  21. 1
      app-crypt/certbot-apache/Manifest
  22. 38
      app-crypt/certbot-apache/certbot-apache-0.18.1.ebuild
  23. 1
      app-crypt/certbot-nginx/Manifest
  24. 34
      app-crypt/certbot-nginx/certbot-nginx-0.18.1.ebuild
  25. 1
      app-crypt/certbot/Manifest
  26. 52
      app-crypt/certbot/certbot-0.18.1.ebuild
  27. 1
      app-crypt/signing-party/Manifest
  28. 121
      app-crypt/signing-party/signing-party-2.6.ebuild
  29. 1
      app-crypt/yubikey-manager-qt/Manifest
  30. 39
      app-crypt/yubikey-manager-qt/yubikey-manager-qt-0.3.1.ebuild
  31. 1
      app-editors/focuswriter/Manifest
  32. 54
      app-editors/focuswriter/focuswriter-1.6.7.ebuild
  33. 2
      app-editors/mg/mg-20170401.ebuild
  34. 1
      app-emulation/docker-bench-security/Manifest
  35. 24
      app-emulation/docker-bench-security/docker-bench-security-1.3.2.ebuild
  36. 7
      app-emulation/docker-bench-security/files/docker-bench-security
  37. 12
      app-emulation/docker-bench-security/metadata.xml
  38. 3
      app-emulation/docker-compose/Manifest
  39. 68
      app-emulation/docker-compose/docker-compose-1.13.0.ebuild
  40. 68
      app-emulation/docker-compose/docker-compose-1.14.0.ebuild
  41. 71
      app-emulation/docker-compose/docker-compose-1.16.1.ebuild
  42. 24
      app-emulation/docker-compose/metadata.xml
  43. 1
      app-emulation/docker-runc/Manifest
  44. 59
      app-emulation/docker-runc/docker-runc-1.0.0_rc3_p20170607.ebuild
  45. 4
      app-emulation/docker-runc/docker-runc-1.0.0_rc3_p20170706.ebuild
  46. 4
      app-emulation/docker/Manifest
  47. 292
      app-emulation/docker/docker-17.03.1.ebuild
  48. 2
      app-emulation/docker/docker-17.03.2.ebuild
  49. 312
      app-emulation/docker/docker-17.06.0-r1.ebuild
  50. 314
      app-emulation/docker/docker-17.06.1.ebuild
  51. 314
      app-emulation/docker/docker-17.06.2.ebuild
  52. 2
      app-emulation/kompose/Manifest
  53. 30
      app-emulation/kompose/kompose-0.7.0.ebuild
  54. 30
      app-emulation/kompose/kompose-1.1.0.ebuild
  55. 2
      app-emulation/virt-what/virt-what-1.18.ebuild
  56. 2
      app-eselect/eselect-postgresql/eselect-postgresql-2.2.ebuild
  57. 0
      app-eselect/eselect-repository/Manifest
  58. 39
      app-eselect/eselect-repository/eselect-repository-9999.ebuild
  59. 11
      app-eselect/eselect-repository/metadata.xml
  60. 2
      app-forensics/chkrootkit/chkrootkit-0.51.ebuild
  61. 2
      app-i18n/ibus/ibus-1.5.16.ebuild
  62. 2
      app-i18n/unicode-cldr/unicode-cldr-31.0.1.ebuild
  63. 2
      app-i18n/unicode-emoji/unicode-emoji-5.0.ebuild
  64. 2
      app-portage/elt-patches/elt-patches-20170815.ebuild
  65. 3
      app-shells/thefuck/Manifest
  66. 35
      app-shells/thefuck/thefuck-3.16.ebuild
  67. 35
      app-shells/thefuck/thefuck-3.18.ebuild
  68. 35
      app-shells/thefuck/thefuck-3.23.ebuild
  69. 1
      app-text/htmlmin/Manifest
  70. 28
      app-text/htmlmin/htmlmin-0.1.11_pre20170909.ebuild
  71. 15
      app-text/htmlmin/metadata.xml
  72. 1
      app-text/xapian-omega/Manifest
  73. 42
      app-text/xapian-omega/xapian-omega-1.4.3.ebuild
  74. 2
      app-vim/command-t/Manifest
  75. 42
      app-vim/command-t/command-t-4.0.ebuild
  76. 48
      app-vim/command-t/command-t-5.0.2.ebuild
  77. 1
      app-vim/ctrlp/Manifest
  78. 18
      app-vim/ctrlp/ctrlp-1.79.ebuild
  79. 2
      app-vim/ctrlp/ctrlp-1.80.ebuild
  80. 3
      dev-db/etcd/Manifest
  81. 60
      dev-db/etcd/etcd-3.2.4.ebuild
  82. 60
      dev-db/etcd/etcd-3.2.5.ebuild
  83. 63
      dev-db/etcd/etcd-3.2.7.ebuild
  84. 12
      dev-db/oracle-instantclient/Manifest
  85. 303
      dev-db/oracle-instantclient/oracle-instantclient-12.2.0.1.ebuild
  86. 1
      dev-db/pgadmin4/Manifest
  87. 8
      dev-db/pgadmin4/metadata.xml
  88. 121
      dev-db/pgadmin4/pgadmin4-1.6.ebuild
  89. 122
      dev-db/postgis/files/postgis-2.1.4-pkgconfig-json.patch
  90. 3
      dev-embedded/esptool/Manifest
  91. 25
      dev-embedded/esptool/esptool-1.3.ebuild
  92. 0
      dev-embedded/esptool/esptool-2.1.ebuild
  93. 14
      dev-embedded/esptool/metadata.xml
  94. 3
      dev-java/javatoolkit/Manifest
  95. 29
      dev-java/javatoolkit/javatoolkit-0.4.0.ebuild
  96. 29
      dev-java/javatoolkit/javatoolkit-0.5.0.ebuild
  97. 27
      dev-java/javatoolkit/javatoolkit-0.6.0.ebuild
  98. 3
      dev-java/tomcat-servlet-api/Manifest
  99. 38
      dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.77.ebuild
  100. 35
      dev-java/tomcat-servlet-api/tomcat-servlet-api-8.0.43.ebuild

64
app-admin/ansible/ansible-2.3.2.0-r1.ebuild

@ -1,64 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_5 )
inherit distutils-r1 eutils versionator
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="http://ansible.com/"
SRC_URI="http://releases.ansible.com/${PN}/${P}.tar.gz
https://dev.gentoo.org/~prometheanfire/dist/ansible/ansible-2.3.2.0-pycryptodome.patch"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86 ~x64-macos"
IUSE="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
|| (
dev-python/pycryptodome[${PYTHON_USEDEP}]
>=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
)
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
<dev-python/mock-1.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
# not included in release tarball
RESTRICT="test"
PATCHES=(
"${DISTDIR}/${PN}-2.3.2.0-pycryptodome.patch"
"${FILESDIR}/${PN}-2.3.2.0-fix_key_error.patch"
)
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
distutils-r1_python_install_all
doman docs/man/man1/*.1
}

65
app-admin/ansible/ansible-2.3.2.0-r2.ebuild

@ -0,0 +1,65 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_5 )
inherit distutils-r1 eutils versionator
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="http://ansible.com/"
SRC_URI="http://releases.ansible.com/${PN}/${P}.tar.gz
https://dev.gentoo.org/~prometheanfire/dist/ansible/ansible-2.3.2.0-pycryptodome.patch"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86 ~x64-macos"
IUSE="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
|| (
dev-python/pycryptodome[${PYTHON_USEDEP}]
>=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
)
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
<dev-python/mock-1.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
# not included in release tarball
RESTRICT="test"
PATCHES=(
"${DISTDIR}/${PN}-2.3.2.0-pycryptodome.patch"
"${FILESDIR}/${PN}-2.3.2.0-fix_key_error.patch"
)
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
distutils-r1_python_install_all
doman docs/man/man1/*.1
}

1
app-admin/ansible/ansible-9999.ebuild

@ -25,6 +25,7 @@ RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
app-text/asciidoc
net-misc/sshpass
virtual/ssh

1
app-admin/prelude-manager/Manifest

@ -1,2 +1,3 @@
DIST prelude-manager-3.0.0.tar.gz 1286459 SHA256 379de4c79ccdba4093e9c5a2b9e5c6cee8e8d8694e1358c3d248250c4957dc0b SHA512 4c16a353495179265375686ce9592c8cd044b4255060b78286466bd25f9b38634233c95af058e1c0b81e1b574ec9ada5b2db92d6d1f5594dfcddce572fd0fd67 WHIRLPOOL 35814a88e62e4bfdbd3e8c88f733cd304f8fb355d820ae9887da0c9e6b02936b7aed8d73a05cc458fbf01f7a9e48174d446b1174e1edd44637fadcdc282f3f92
DIST prelude-manager-3.1.0.tar.gz 1301799 SHA256 e5d0dbe306c5473fb5ea86d465595eca2c3d7c74b13c9dcf8786bbbc6e36ae0d SHA512 75df43f9db81d2b6bd87c649eda7bb30ee10510576473bea83cb5cce44f576e9d69d775b5d76dcea8841eee61730a97cdae51e6c8b3a426d2442c5183d0e0d10 WHIRLPOOL 05b6b619f7ddabcbf970e38e9c3af90b8cf6274b694caa276891f2743ea8b991f724f7f5dbbe9867afda1bba3b59d07525fca7f0fe03b0594f8ea0c796f33ce7
DIST prelude-manager-4.0.0.tar.gz 1353116 SHA256 fa7b5094f9ebeaefa443dd3d3bb3b260e1de42548d4a691a7dd22b18116f67a1 SHA512 793ed37c71eb4884cbbb49b11c7388ee291a35252255458ceadb4ce10d1392e8bad423f95e31bff4550a9cf1d04139e43729352554fd847048b6c8d14f813a8a WHIRLPOOL 1f4f8b7a8ad8df7a97ba3e97252eb9aff7d03f37f1c533b67544d00d02918f2f43cc61f6e523f09d4317951838bd32d8eda212e0e4e7db98def36525fbd603b0

58
app-admin/prelude-manager/prelude-manager-4.0.0.ebuild

@ -0,0 +1,58 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd
DESCRIPTION="Bus communication for all Prelude modules"
HOMEPAGE="https://www.prelude-siem.org"
SRC_URI="https://www.prelude-siem.org/pkg/src/${PV}/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="dbx geoip tcpwrapper xml"
RDEPEND="net-libs/gnutls:=
~dev-libs/libprelude-${PV}
dbx? ( ~dev-libs/libpreludedb-${PV} )
geoip? ( dev-libs/libmaxminddb )
tcpwrapper? ( sys-apps/tcp-wrappers )
xml? ( dev-libs/libxml2 )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}/${PN}-3.1.0-run.patch"
)
src_prepare() {
default
eautoreconf
}
src_configure() {
econf \
--localstatedir="${EPREFIX}/var" \
$(use_with dbx libpreludedb-prefix) \
$(use_enable geoip libmaxminddb) \
$(use_with tcpwrapper libwrap) \
$(usex xml '' '--without-xml-prefix')
}
src_install() {
default
rm -rv "${ED%/}/run" || die "rm failed"
keepdir /var/spool/prelude-manager{,/failover,/scheduler}
find "${D}" -name '*.la' -delete || die
systemd_dounit "${FILESDIR}/${PN}.service"
systemd_newtmpfilesd "${FILESDIR}/${PN}.run" "${PN}.conf"
newinitd "${FILESDIR}/${PN}.initd" "${PN}"
}

4
app-admin/puppet-agent/Manifest

@ -1,7 +1,7 @@
DIST puppet-agent_1.10.5-1xenial_amd64.deb 16457578 SHA256 70bdc6be278a5b9734054063379bbf09627e2446af59a9a41cb655bda94c9460 SHA512 4c527a8dd69a2de24ed374024b225f98b481beed3a829649a0db34de9f2f846442a84a4ff5bdb9c4cdda3540f4139c647510504baa7326140cb86d47d2117281 WHIRLPOOL e759d0df31d741556c7e0b42606dee441291bbf3fc7fbf673685449eb9022332ff5b842529177d0d73ebdcfc772af303f71b45a039c0e69e7ca8eae8a2553a97
DIST puppet-agent_1.10.5-1xenial_i386.deb 16130300 SHA256 064867c3e9a9e4ab0ffdee9a9ae1a4a1c651194662290e05d3fd936f8c092787 SHA512 0780edf969ca97a00a7720fa2573efba7298be887acbad5318cbb5b9914bd67adc31c305aa44f879d667c2e56419b3fa85fdee10e00386edb75dede673c4cbc4 WHIRLPOOL 7ee4d69748ed80f7693ae28b20a8a90699e74016dcbf8626f90b443ecc299546760d878bcdf1be2d08003f54c381cab6f1fd2673de5ca191842103a6ebdc9ca3
DIST puppet-agent_1.10.6-1xenial_amd64.deb 16459994 SHA256 ebd680c4c35823298ffb6d2f322ebafce498775d9a864b76c62a879d8a1102a3 SHA512 d607314c6e37180c9d1e8c88aa13dbd9e73f041f25152a3a1cc85e0afed0c401e163cdd08b7eea31ea8f26f33c183949358b50375fd84f025da4083f4a97c565 WHIRLPOOL 45720ada35ef741479d54283fc1a07ebe7c50e5c6ada4358bb321e6fa2acc07aa349c23160a458c114cd4a2fc48841515545c206f72c17c57a6c5c3b70752698
DIST puppet-agent_1.10.6-1xenial_i386.deb 16131024 SHA256 7e28145e6ca8847a1eb33bb443f1b55aa0700d4e4ddc65c74c605c075c312d55 SHA512 488fbfee2c9f75cd97e88511ef36521f26c5e617792bdc5b145040c8f7ff58b14308d24542afe4fc7c8689cc0e0d7b03514309123dc0653484eacd3de938dc59 WHIRLPOOL bb7b7a1efbddd88d4ddf382a543358af7f98ac4690fad3339f47b8ff71b8bf050acf9e0dea4ed376bac5e8b1929f4368504a1ae5ab2461e4f091abed66fb149d
DIST puppet-agent_1.10.7-1xenial_amd64.deb 16449418 SHA256 a23169ff2adeff419436f738a991d3026c3f06b993a9824922d26a125a53fd0f SHA512 5c73eea444186cbd0d52e42a20858964db6e7f2b6e537274b5b0a44499cc2bb0622a4eb6a55fa10dcc3946bdae3bb00b9d228aa5d1d444cc53aeefddf11f7b5b WHIRLPOOL 5eb0c71bc630ad878f2731353c93195b4e686ff0d48796fff0b700550f8f8ab69d039c818a557bdf231ecb08b85e8529706f280b19bae031a24f2687e50ae32b
DIST puppet-agent_1.10.7-1xenial_i386.deb 16182468 SHA256 ee60570ec29561adfded01fec2017756d5f921c08677a530149b0da2ead1f29f SHA512 7d5a41af7619fe008fec5302e23482d688692affaeded4b0b2f4e693168c2ef6995beee5e2410a9cb2e7f99650119e9c5f8007ed65709ad623654bdd6c09e402 WHIRLPOOL 81d7a325d2c675f2392dfc16f1d3a411c6e7a2e449844b90358d0a97c31cc3ccdbf6a8a891bd818017b9504e898fe8aed2d12233dae4822f125f7ab2230ceb1d
DIST puppet-agent_5.0.1-1xenial_amd64.deb 15171814 SHA256 44b67741a276256cbee8dfad72053d6be9a9b1e4aeea43cb80413d569129a2c0 SHA512 0dc388b2f561b2ddd7d9064188298de212648c31bbf0e70e15f20de9c851a2efba1f648e38b593c6f0e8f027f7161d50051e1039dda1a1abbaed1b90c8e9a72c WHIRLPOOL b40844b6b873e4dfa63d90ee0f17a08b7f2d4862c9353d2fbb6590fa6387071f3b414a5063407ab75ee04c1f2f8e14186197cbc7be3bd617ee640f2283b596ab
DIST puppet-agent_5.0.1-1xenial_i386.deb 15591958 SHA256 d302ae9543812ef64252f04ef031ae2c46929c6950c8356e5e1d23526e47d24f SHA512 e7da74e534993c896ce79a27667717adecd8cbcb6002335210c0a29ca5002f58e03528d9da820908a0ed76c9a02f70b3bad7f82cdfa63eebc28aae01f7aaeee5 WHIRLPOOL c8061395adfd91b49e36975a971b36679bc0600e8df56e04902828c41b5389792161df83d00bbec4c4440f97fb1815bd4740635c457c66bc1326c37ea458dbcb
DIST puppet-agent_5.1.0-1xenial_amd64.deb 15141786 SHA256 1a3ad0ef1a5e4026927f3ae010e9a48b9c1e31dfb8e0691d01383d29f3b14644 SHA512 a210d225591328e2c041aad1dd7cfdac614531e1ceb524c3e35d3330962111bdc66408268550072e53190d6a10a7c8244b0bfa8a12b81f023883831c1fcbd070 WHIRLPOOL 34dc5cfcf6bb3500b89451078734d5d7a03a53a0be9e5501d6ded574cf2b6dbafe207db87aa919fd9cdadb6c2a0a05191854be3245d477e035fe7d52778cf527

111
app-admin/puppet-agent/puppet-agent-1.10.5.ebuild

@ -1,111 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils systemd unpacker user
DESCRIPTION="general puppet client utils along with mcollective hiera and facter"
HOMEPAGE="https://puppetlabs.com/"
SRC_BASE="http://apt.puppetlabs.com/pool/xenial/PC1/${PN:0:1}/${PN}/${PN}_${PV}-1xenial"
SRC_URI="
amd64? ( ${SRC_BASE}_amd64.deb )
x86? ( ${SRC_BASE}_i386.deb )
"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="experimental puppetdb selinux"
RESTRICT="strip"
CDEPEND="!app-admin/augeas
!app-admin/mcollective
!app-admin/puppet
!dev-ruby/hiera
!dev-ruby/facter
!app-emulation/virt-what"
DEPEND="
${CDEPEND}"
RDEPEND="${CDEPEND}
app-portage/eix
sys-apps/dmidecode
sys-libs/glibc
>=sys-libs/readline-6.0
<sys-libs/readline-7.0
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
puppetdb? ( >=dev-ruby/puppetdb-termini-3.1.0 )"
S=${WORKDIR}
QA_PREBUILT="
/opt/puppetlabs/puppet
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/2.1.0/x86_64-linux/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/mathn/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/io/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/dl/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/racc/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/enc/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/json/ext/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/rbconfig/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/digest/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/*
/opt/puppetlabs/puppet/lib/engines/*
/opt/puppetlabs/puppet/lib/virt-what/*
/opt/puppetlabs/puppet/lib/*
/opt/puppetlabs/puppet/bin/*"
pkg_setup() {
enewgroup puppet
enewuser puppet -1 -1 /var/run/puppet puppet
}
src_prepare() {
if use experimental; then
epatch "${FILESDIR}/43e2c935252b995134ce353e5e6312cf77aea480.patch"
fi
}
src_install() {
# conf.d
doconfd etc/default/puppet
doconfd etc/default/mcollective
doconfd etc/default/pxp-agent
# logrotate.d
insinto /etc/logrotate.d
doins etc/logrotate.d/mcollective
doins etc/logrotate.d/pxp-agent
# puppet itself
insinto /etc/puppetlabs
doins -r etc/puppetlabs/*
# logdir for systemd
dodir var/log/puppetlabs/puppet/
fperms 0750 var/log/puppetlabs/puppet/
# the rest
insinto /opt
dodir opt/puppetlabs/puppet/cache
doins -r opt/*
fperms 0750 /opt/puppetlabs/puppet/cache
# init
newinitd "${FILESDIR}/puppet.initd" puppet
newinitd "${FILESDIR}/mcollective.initd" mcollective
systemd_dounit lib/systemd/system/puppet.service
systemd_dounit lib/systemd/system/mcollective.service
systemd_dounit lib/systemd/system/pxp-agent.service
systemd_newtmpfilesd "${FILESDIR}/puppet-agent.conf.tmpfilesd" puppet-agent.conf
# symlinks
chmod 0755 -R "${D}/opt/puppetlabs/puppet/bin/"
chmod 0755 "${D}//opt/puppetlabs/puppet/lib/virt-what/virt-what-cpuid-helper"
dosym ../../opt/puppetlabs/bin/facter /usr/bin/facter
dosym ../../opt/puppetlabs/bin/hiera /usr/bin/hiera
dosym ../../opt/puppetlabs/bin/mco /usr/bin/mco
dosym ../../opt/puppetlabs/bin/puppet /usr/bin/puppet
dosym ../../opt/puppetlabs/puppet/bin/mcollectived /usr/sbin/mcollectived
dosym ../../opt/puppetlabs/puppet/bin/virt-what /usr/bin/virt-what
dosym ../../opt/puppetlabs/puppet/bin/augparse /usr/bin/augparse
dosym ../../opt/puppetlabs/puppet/bin/augtool /usr/bin/augtool
dosym ../../opt/puppetlabs/puppet/bin/extlookup2hiera /usr/bin/extlookup2hiera
}

2
app-admin/puppet-agent/puppet-agent-1.10.6.ebuild

@ -14,7 +14,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="experimental puppetdb selinux"
RESTRICT="strip"

111
app-admin/puppet-agent/puppet-agent-1.10.7.ebuild

@ -0,0 +1,111 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils systemd unpacker user
DESCRIPTION="general puppet client utils along with mcollective hiera and facter"
HOMEPAGE="https://puppetlabs.com/"
SRC_BASE="http://apt.puppetlabs.com/pool/xenial/PC1/${PN:0:1}/${PN}/${PN}_${PV}-1xenial"
SRC_URI="
amd64? ( ${SRC_BASE}_amd64.deb )
x86? ( ${SRC_BASE}_i386.deb )
"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="experimental puppetdb selinux"
RESTRICT="strip"
CDEPEND="!app-admin/augeas
!app-admin/mcollective
!app-admin/puppet
!dev-ruby/hiera
!dev-ruby/facter
!app-emulation/virt-what"
DEPEND="
${CDEPEND}"
RDEPEND="${CDEPEND}
app-portage/eix
sys-apps/dmidecode
sys-libs/glibc
>=sys-libs/readline-6.0
<sys-libs/readline-7.0
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
puppetdb? ( >=dev-ruby/puppetdb-termini-3.1.0 )"
S=${WORKDIR}
QA_PREBUILT="
/opt/puppetlabs/puppet
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/2.1.0/x86_64-linux/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/mathn/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/io/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/dl/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/racc/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/enc/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/json/ext/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/rbconfig/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/digest/*
/opt/puppetlabs/puppet/lib/ruby/2.1.0/x86_64-linux/*
/opt/puppetlabs/puppet/lib/engines/*
/opt/puppetlabs/puppet/lib/virt-what/*
/opt/puppetlabs/puppet/lib/*
/opt/puppetlabs/puppet/bin/*"
pkg_setup() {
enewgroup puppet
enewuser puppet -1 -1 /var/run/puppet puppet
}
src_prepare() {
if use experimental; then
epatch "${FILESDIR}/43e2c935252b995134ce353e5e6312cf77aea480.patch"
fi
}
src_install() {
# conf.d
doconfd etc/default/puppet
doconfd etc/default/mcollective
doconfd etc/default/pxp-agent
# logrotate.d
insinto /etc/logrotate.d
doins etc/logrotate.d/mcollective
doins etc/logrotate.d/pxp-agent
# puppet itself
insinto /etc/puppetlabs
doins -r etc/puppetlabs/*
# logdir for systemd
dodir var/log/puppetlabs/puppet/
fperms 0750 var/log/puppetlabs/puppet/
# the rest
insinto /opt
dodir opt/puppetlabs/puppet/cache
doins -r opt/*
fperms 0750 /opt/puppetlabs/puppet/cache
# init
newinitd "${FILESDIR}/puppet.initd" puppet
newinitd "${FILESDIR}/mcollective.initd" mcollective
systemd_dounit lib/systemd/system/puppet.service
systemd_dounit lib/systemd/system/mcollective.service
systemd_dounit lib/systemd/system/pxp-agent.service
systemd_newtmpfilesd "${FILESDIR}/puppet-agent.conf.tmpfilesd" puppet-agent.conf
# symlinks
chmod 0755 -R "${D}/opt/puppetlabs/puppet/bin/"
chmod 0755 "${D}//opt/puppetlabs/puppet/lib/virt-what/virt-what-cpuid-helper"
dosym ../../opt/puppetlabs/bin/facter /usr/bin/facter
dosym ../../opt/puppetlabs/bin/hiera /usr/bin/hiera
dosym ../../opt/puppetlabs/bin/mco /usr/bin/mco
dosym ../../opt/puppetlabs/bin/puppet /usr/bin/puppet
dosym ../../opt/puppetlabs/puppet/bin/mcollectived /usr/sbin/mcollectived
dosym ../../opt/puppetlabs/puppet/bin/virt-what /usr/bin/virt-what
dosym ../../opt/puppetlabs/puppet/bin/augparse /usr/bin/augparse
dosym ../../opt/puppetlabs/puppet/bin/augtool /usr/bin/augtool
dosym ../../opt/puppetlabs/puppet/bin/extlookup2hiera /usr/bin/extlookup2hiera
}

68
app-admin/r10k/r10k-1.5.1-r2.ebuild

@ -0,0 +1,68 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
USE_RUBY="ruby21 ruby22 ruby23"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Puppet environment and module deployment"
HOMEPAGE="https://github.com/adrienthebo/r10k"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+git"
ruby_add_rdepend "
>=dev-ruby/colored-1.2
=dev-ruby/cri-2.7*
>=dev-ruby/systemu-2.5.2
>=dev-ruby/log4r-1.1.10
>=dev-ruby/faraday-0.9.0
>=dev-ruby/faraday_middleware-0.9.0
>=dev-ruby/faraday_middleware-multi_json-0.0.6
>=dev-ruby/multi_json-1.10
>=dev-ruby/semantic_puppet-0.1.1
>=dev-ruby/json-1.8:0"
ruby_add_bdepend "test? (
dev-ruby/archive-tar-minitar
)"
RDEPEND="${RDEPEND} git? ( >=dev-vcs/git-1.6.6 )"
all_ruby_prepare() {
sed -i -e 's/json_pure/json/' \
-e '/cri/ s/2\.6\../2.7/' \
-e '/systemu/ s/2.5.2/2.5/' \
-e '/faraday/ s/0.9.0/0.9/' \
-e '/semantic_puppet/ s/~>/>/' \
-e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
}
pkg_postinst() {
ewarn
ewarn "If you are upgrading from 1.1.0 and are using multiple sources, please read"
ewarn "this. (If not, feel free to continue with your regularly scheduled day.)"
ewarn
ewarn "GH-48 (https://github.com/adrienthebo/r10k/issues/48) introduced the ability"
ewarn "for environments to be prefixed with the source name so that multiple sources"
ewarn "installed into the same directory would not overwrite each other. However"
ewarn "prefixing was automatically enabled and would break existing setups where"
ewarn "multiple sources were cloned into different directories."
ewarn
ewarn "Because this introduced a breaking change, SemVer dictates that the automatic"
ewarn "prefixing has to be rolled back. Prefixing can be enabled but always defaults"
ewarn "to off. If you are relying on this behavior you will need to update your r10k.yaml"
ewarn "to enable prefixing on a per-source basis."
ewarn
ewarn "Please see the issue (https://github.com/adrienthebo/r10k/issues/48) for more"
ewarn "information."
}

2
app-admin/salt/Manifest

@ -2,4 +2,4 @@ DIST salt-2015.5.10.tar.gz 5693422 SHA256 863a96e70f8521af35fe11b10d25b3205a0bfb
DIST salt-2015.8.13.tar.gz 7036243 SHA256 cca82c9a4f267692660b098c1f76e54ab6a24131391893719bde0eb3a1ed2959 SHA512 ec8626f7360542bfeea90fc3d6fd9d9d015da4c2a6adf9957c22501ed9531b0a44d2cbc4853c41856b4cd46c142d2441884ec99700f3c0a5310cc428f9f1ec2a WHIRLPOOL c21f3bdc5fd674ea664c7e8fd58ef6685328a6ee3679850f3e9a085b1e604e1224a3323b906b47075fb8dd39f373583fb549e7b0f3f725d44928bcf716955a10
DIST salt-2016.11.7.tar.gz 9409315 SHA256 279fa5bd73b5616620f628234575140f91df28b0d40d931569f179efabf27a2d SHA512 5bb52d75fafd57cd8efebe9b94dc3b53e39b476f6289e3509f1324fc86bb57a85d0ac832270c80629c04f301a749e018789c842e90cc3f2167445854e0f0ed99 WHIRLPOOL 984f297a23d59a129feaac40debc4aecaf64b2540cf62cae503c01cbe7413fdbeb58d18ed86b33b4da6f84a167bb7fed0fd502fca737720242dad91f7afad581
DIST salt-2016.3.7.tar.gz 8516192 SHA256 3dd65ec44ca372c91b8254b625414cd7e795fdba274a07de902c3f33e199007b SHA512 78f3e23f7f05c8940bdb0359bc323cdb94c027d8abe554cffff8504d7e978f64f25d7b1f48450aed506e58ed8cbf9c272d95741dd330617809c663451f70b8d1 WHIRLPOOL 69e72d8a15310b5c1578de8c43d4a2f71cf1bdf3ae827a6283720f17a74972fd3d3fe84a95f045df77fdde82614ac6a30f549176fc44062569f40e8969e7f6fe
DIST salt-2017.7.0.tar.gz 11399842 SHA256 aaf45f8dcf95a20b56072e620100432d058ab297210c4902dc90e197b236b064 SHA512 21d8350413ad6a262d4c19c4cb3cbd4bc718f411bab49141626729b659c1ee72340542b342ec0fb012cb11c313bd56ec6534416d2128ae548ed8950affb6c834 WHIRLPOOL e9716b689069c79922c9e47d430ed16efc8adb9ba528202cfc86d00a39e746b3723e12f2f6abf443a8ae5adb64d81bbd916e395973ddf6639dcbc32d589b6881
DIST salt-2017.7.1.tar.gz 11408839 SHA256 fe868415d0e1162157186f4c5263e9af902b0571870ad2da210e7edf5ff5331d SHA512 c12db2361e04ce7bf4d663fafdeebdb318f210e0669d1ae26db6daf3dd19a7549b4151cb4e53acacda24d11eec7bbd06190b01cf4962d9027783ffd4617a2e52 WHIRLPOOL 6073ec85a4797ac6cc58f475f7f3bd5fa0d61b4d1228c514326d32644e2f6d1656e46196d1ad32d5c87d2bfa18eff5e786b9a1325d5e73387c33a591d8dd61d2

138
app-admin/salt/salt-2017.7.0.ebuild

@ -1,138 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 )
inherit eutils systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="http://saltstack.org/"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
KEYWORDS=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~x86 ~amd64"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cherrypy ldap libcloud libvirt gnupg keyring mako mongodb mysql neutron nova"
IUSE+=" openssl portage profile redis selinux test timelib raet +zeromq vim-syntax"
RDEPEND="sys-apps/pciutils
dev-python/jinja[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.3[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
>=www-servers/tornado-4.2.1[${PYTHON_USEDEP}]
virtual/python-futures[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? ( dev-python/libvirt-python[${PYTHON_USEDEP}] )
openssl? (
dev-libs/openssl:*[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
zeromq? (
>=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}]
>=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
mysql? ( dev-python/mysql-python[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
timelib? ( dev-python/timelib[${PYTHON_USEDEP}] )
nova? ( >=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}] )
neutron? ( >=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}] )
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/pytest-salt[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/virtualenv[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/timelib[${PYTHON_USEDEP}]
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.2.1[${PYTHON_USEDEP}] )
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
>=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
${RDEPEND}
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="|| ( raet zeromq )"
RESTRICT="x86? ( test )"
PATCHES=(
"${FILESDIR}/${PN}-2017.7.0-dont-realpath-tmpdir.patch"
)
python_prepare() {
rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py}
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
mkdir "${BUILD_DIR}"/../{templates,conf/cloud.{providers,profiles,maps}.d} || die
(
cleanup() {
rm -f "${tempdir}"
rmdir "${BUILD_DIR}"/../{templates,conf/cloud.{providers,profiles,maps}.d} || die
}
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}"
USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose
) || die "testing failed"
}

140
app-admin/salt/salt-2017.7.1.ebuild

@ -0,0 +1,140 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 )
inherit eutils systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="http://saltstack.org/"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
KEYWORDS=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~x86 ~amd64"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cherrypy ldap libcloud libvirt gnupg keyring mako mongodb mysql neutron nova"
IUSE+=" openssl portage profile redis selinux test timelib raet +zeromq vim-syntax"
RDEPEND="sys-apps/pciutils
dev-python/jinja[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.3[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
>=www-servers/tornado-4.2.1[${PYTHON_USEDEP}]
virtual/python-futures[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? ( dev-python/libvirt-python[${PYTHON_USEDEP}] )
openssl? (
dev-libs/openssl:*[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
zeromq? (
>=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}]
>=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
mysql? ( dev-python/mysql-python[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
timelib? ( dev-python/timelib[${PYTHON_USEDEP}] )
nova? ( >=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}] )
neutron? ( >=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}] )
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/pytest-salt[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/virtualenv[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/timelib[${PYTHON_USEDEP}]
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.2.1[${PYTHON_USEDEP}] )
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
>=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
${RDEPEND}
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="|| ( raet zeromq )"
RESTRICT="x86? ( test )"
PATCHES=(
"${FILESDIR}/${PN}-2017.7.0-dont-realpath-tmpdir.patch"
)
python_prepare() {
rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py} || die
rm tests/unit/modules/test_boto_{vpc,secgroup,elb}.py || die
rm tests/unit/states/test_boto_vpc.py || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
mkdir "${BUILD_DIR}"/../{templates,conf/cloud.{providers,profiles,maps}.d} || die
(
cleanup() {
rm -f "${tempdir}"
rmdir "${BUILD_DIR}"/../{templates,conf/cloud.{providers,profiles,maps}.d} || die
}
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}"
USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose
) || die "testing failed"
}

2
app-admin/sudo/Manifest

@ -1,3 +1,3 @@
DIST sudo-1.8.20p2.tar.gz 2930769 SHA256 bd42ae1059e935f795c69ea97b3de09fe9410a58a74b5d5e6836eb5067a445d9 SHA512 8bf67e687f7a84605fdef8d547b5cd661141b6c8fd25820c33c7e37e97ca7f21f564c3bae691f8a8cd08df7d80338e36a8f06bb5086cc104509d71d6ab1bceda WHIRLPOOL 4e9b6ddaba8cdb4d82358e01252136af56ae50f656f9802285471c7c1e5c831d26aa07cb78205f63ea6098f98846911938681a89256afe5419372039d0e4e792
DIST sudo-1.8.21.tar.gz 2973939 SHA256 126e9214613e842e19a02658f060186fe6a5927948679d64895b17ed933bb523 SHA512 f3e4a39b6d5a58bc94e1d8ce997460fc317abd7ff8dce75c23a37668cba96ff3edbac76580b4d8bfec585013c6ff30b004d9eda6fe775700abe54ba9eaa9f31f WHIRLPOOL 7add1abf9badc68ec7ef10d99cd6c57cd6d279a66e342ad544f511e7f0c8d59bc1ddbf7d5d7cc91b72fe71d23d3f3005e5b60df1d0f6e2bf08c2b12745d093c2
DIST sudo-1.8.21p1.tar.gz 2975522 SHA256 ee50d3a249a96b1c5c8d3d21380eb96c63c6e61a888b13e3c2b941b23ab7c808 SHA512 081dff35cbc2724b0481139490601665b7e10e19c8cffcd00918cb51a914f1b7103c7d04b3361e229b63d404c68c47598ca6f59a7c3c00a5b3b7aed74bae9e45 WHIRLPOOL 13f8dba536f7e70b8025bddbe25ca73859d062f3ffe7f3137fc4393453f59863a7984cd0de250e6c6fa4a34e2a1e2f617932e506cca4327d64ae49f8913bbe92
DIST sudo-1.8.21p2.tar.gz 2976081 SHA256 74c5746cd33a814e2431c39faf0d76f7f8a697379bd073862e3b156cf0d76368 SHA512 f04bbff54ad74ba73c078e15c75d2f41332d4912078ed66157ba7346b7fff914bd0747460cb4cd0c472af2d3b344fa72f5c62c95169df68a9cac74d7245c720c WHIRLPOOL 94d9c9abdbb93f37f13179e934004b61f930978a4b0372aa0ccf0ff1aead51af272cb296554affb24e92d7f828b285f0d923fb87b19e1173e470f4b27fa1e538

0
app-admin/sudo/sudo-1.8.21.ebuild → app-admin/sudo/sudo-1.8.21_p2.ebuild

1
app-admin/systemrescuecd-x86/Manifest

@ -26,3 +26,4 @@ DIST systemrescuecd-x86-5.0.1.iso 485711872 SHA256 17f56dc7779d3716539a39a312ddb
DIST systemrescuecd-x86-5.0.2.iso 495773696 SHA256 a2abdaf5750b09886cedcc5233d91ad3d1083e10380e555c7ca50849befbf487 SHA512 eaf5c080fbf810c0f966335c1f2f797f8e756c03a6246c8f2e2dd13637a66a160fd0d966095849d16b94664bf973bb9064e1f9f91785f0fd51372820c90b905f WHIRLPOOL 1b2cef05c0d8dff99757cfcf15c21ca3de42d6a5d41ec876bd4196af7f44209387b695e0e75ea03b00f1615be9a7b2c94eb41c1a72326c0c67df1e4129db4362
DIST systemrescuecd-x86-5.0.3.iso 501446656 SHA256 e892d3e0aeabec2c435484f0a6913d56b5cc4505e61032bd86f39443e3ab162e SHA512 a6748224f3f8cac5f9751648278bbc06acfc123c64b7c0a3b6e47f00b0a3c255082e9ffc43fd0fd3df26322cf154797ea6a02c6b37087ae832219ec4f3bec673 WHIRLPOOL 3f197342689fa764bf66b269f3afd1213774cba16b04b3bcb45d408f2e650e503499303120bb233f3b15c4e254953f703c2b042ae1cfcbe0f1119330562952c0
DIST systemrescuecd-x86-5.0.4.iso 501141504 SHA256 3b38c15ec8e2f60348181423b0f445856c8b290aac96e92210f316652d621507 SHA512 26b624c75f75e181051b164b0a1f24b612d9ac11c2ed8df3e40fd13e48bfa58022be814e4ac608f3fde892eaa99954f10c0e1fb1ef4831a501dc4e1c0c87b764 WHIRLPOOL 8a372a13edf76d31d44dfe1167216d2b89b3b75ac7437397341bb7e721b31336cbcedda05f087a0d061ca25b5cb95acd252fa042ce6639852c8795568a4ca128
DIST systemrescuecd-x86-5.1.0.iso 505047040 SHA256 49466daab472d29fbbd38ac7d4d36363ecd73e27f7872dde1d67e62e190920d0 SHA512 15d019bbb91019f1b6d1847fc786e6c02f3f768826241e0823842bca9745ff1fa48fe7d32828f899b90845b2f4ce948a1f98e093edf8ca4c0c39cc0da72b4aa8 WHIRLPOOL 5bc909b4c2eea8ffb58f574b120ba07f53361cb4ff2782f214947f5dbccb0f33bc4168ea8a832ba65ebb56a6ea9fb08437af060ec793c6f07c33236bef0f825f

61
app-admin/systemrescuecd-x86/systemrescuecd-x86-5.1.0.ebuild

@ -0,0 +1,61 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="The .iso image of SystemRescueCD rescue disk, x86 (+ amd64) variant"
HOMEPAGE="http://www.sysresccd.org/"
# Large ISO mirroring explicitly approved by infra in bug #588766
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+isohybrid"
DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
if use isohybrid; then
set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
echo "${@}"
"${@}" || die "${*} failed"
fi
}
pkg_postinst() {
local f=${EROOT%/}/usr/share/${PN%-*}/${PN}-newest.iso
# no version newer than ours? we're the newest!
if ! has_version ">${CATEGORY}/${PF}"; then
ln -f -s -v "${P}.iso" "${f}" || die
fi
}
pkg_postrm() {
local f=${EROOT%/}/usr/share/${PN%-*}/${PN}-newest.iso
# if there is no version newer than ours installed
if ! has_version ">${CATEGORY}/${PF}"; then
# and we are truly and completely uninstalled...
if [[ ! ${REPLACED_BY_VERSION} ]]; then
# then find an older version to set the symlink to
local newest_version=$(best_version "<${CATEGORY}/${PF}")
if [[ ${newest_version} ]]; then
# update the symlink
ln -f -s -v "${newest_version%-r*}.iso" "${f}" || die
else
# last version removed? clean up the symlink
rm -v "${f}" || die
# and the parent directory
rmdir "${f%/*}" || die
fi
fi
fi
}

4
app-arch/bzip2/bzip2-1.0.6-r8.ebuild

@ -13,8 +13,8 @@ HOMEPAGE="http://www.bzip.org/"
SRC_URI="http://www.bzip.org/${PV}/${P}.tar.gz"
LICENSE="BZIP2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
SLOT="0/1" # subslot = SONAME
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="static static-libs"
PATCHES=(

1
app-crypt/acme/Manifest

@ -1,4 +1,5 @@
DIST certbot-0.15.0.tar.gz 942788 SHA256 87d306b1c013b472b8f548b38ccc476c125816435bb3b99e932fed09ac777296 SHA512 e884b34985a1128ce94d6b2be77af6ee86ded8b870e066f3f4bc22f78501f3f0a51060edcf75a11cd31dd525388adb8ccc4e2da0068b5b75be131d0fb0ca6844 WHIRLPOOL 01b172e8c7ac5d3678ee608b36d93f23943bf17f1e9c593cc1af3febcf0549b03961e69e537f099643dd9ee268497f76c2c18d8fa7a1d45753bc50e670375317
DIST certbot-0.16.0.tar.gz 992700 SHA256 9abac759d7d72b520693ff806479e87609059a1546bb6ea26416267ebeedd25b SHA512 4cb6ec06c6ec71cd6886a716100f269de3922f17a582c8c20ec40327b65e1c16347a5b33d44131e56a7667233ebba88ff36a4e854beedd13e848897ba09a7e64 WHIRLPOOL 34dae0b20d472b4020986d0768ea6757c977fa4626666a9f81711007c051e76f9ad60f5a3bc77c768975e71a791f20e5ca2bb6f2fc41d809ebe2541129c975ef
DIST certbot-0.17.0.tar.gz 1036099 SHA256 ed4334dce166bf38ecc7218449efda3798d62c7e2934a71702c0dc3d78eccdd1 SHA512 57fa830d19173eacdbb17242a3c446d9414f02e09fab6ccd41c82b15156bc103ec358ff3d515e94881fcf6438f6acfe449eee9bb3108df41f7b8f2395500b549 WHIRLPOOL cbfffc3866ffed3e0c702ac686768e879c7f1306a62dc050aab05e5a207b4f77a4acae9ca8f3ce973a6691d98838a488ab6335aa0692dd2b28a99c8aecff232d
DIST certbot-0.18.1.tar.gz 1043793 SHA256 c2d5342d1dffc5506ee02e06a7288d4ce5fb6f94d6b1b2cd8e0558c3de7dcff4 SHA512 62f9a247075d007f4b905646fbd63228303bfa7dd8c13c09b5f5205c9a0adce80b2956a796d10c8963058f6cf8f3e41acbae695a61187ef691af4dbbd0e693bf WHIRLPOOL e488ffad69cdad324760a203c15816eb271fd9c08690f3cb876f32f3e2333133a29b756cf63568ea16babc48a09aa5d9da9fc9b9ebe2450580430d50a81b03f9
DIST letsencrypt-0.1.0.tar.gz 524821 SHA256 1c1ac7b41e5e0fc0e41a7ef159ac9147a4aafff54453d57b519eb05bf52ade14 SHA512 6a786290362741ac97dcb4b59bc4cba56f3e8b5193bbc10be19086d462f76e6124259c42bac36afe9eb818f4bb9edec34f8e2a02bd8c855e3b35404f4ee81f96 WHIRLPOOL cdc41a3466de54ab8ddfeedea9935205d78383028769dcfbc876be0c2ef80c2d14f5d0e4a9c56a751163718f5ababb07848822989a060de7031ea8ebdf6424a0

38
app-crypt/acme/acme-0.18.1.ebuild

@ -0,0 +1,38 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
S=${WORKDIR}/certbot-${PV}/acme
fi
inherit distutils-r1
DESCRIPTION="An implementation of the ACME protocol"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
RDEPEND=">=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]"
DEPEND="test? ( ${RDEPEND} dev-python/nose[${PYTHON_USEDEP}] )
>=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
python_test() {
nosetests -w ${PN} || die
}

1
app-crypt/certbot-apache/Manifest

@ -1,2 +1,3 @@
DIST certbot-0.15.0.tar.gz 942788 SHA256 87d306b1c013b472b8f548b38ccc476c125816435bb3b99e932fed09ac777296 SHA512 e884b34985a1128ce94d6b2be77af6ee86ded8b870e066f3f4bc22f78501f3f0a51060edcf75a11cd31dd525388adb8ccc4e2da0068b5b75be131d0fb0ca6844 WHIRLPOOL 01b172e8c7ac5d3678ee608b36d93f23943bf17f1e9c593cc1af3febcf0549b03961e69e537f099643dd9ee268497f76c2c18d8fa7a1d45753bc50e670375317
DIST certbot-0.17.0.tar.gz 1036099 SHA256 ed4334dce166bf38ecc7218449efda3798d62c7e2934a71702c0dc3d78eccdd1 SHA512 57fa830d19173eacdbb17242a3c446d9414f02e09fab6ccd41c82b15156bc103ec358ff3d515e94881fcf6438f6acfe449eee9bb3108df41f7b8f2395500b549 WHIRLPOOL cbfffc3866ffed3e0c702ac686768e879c7f1306a62dc050aab05e5a207b4f77a4acae9ca8f3ce973a6691d98838a488ab6335aa0692dd2b28a99c8aecff232d
DIST certbot-0.18.1.tar.gz 1043793 SHA256 c2d5342d1dffc5506ee02e06a7288d4ce5fb6f94d6b1b2cd8e0558c3de7dcff4 SHA512 62f9a247075d007f4b905646fbd63228303bfa7dd8c13c09b5f5205c9a0adce80b2956a796d10c8963058f6cf8f3e41acbae695a61187ef691af4dbbd0e693bf WHIRLPOOL e488ffad69cdad324760a203c15816eb271fd9c08690f3cb876f32f3e2333133a29b756cf63568ea16babc48a09aa5d9da9fc9b9ebe2450580430d50a81b03f9

38
app-crypt/certbot-apache/certbot-apache-0.18.1.ebuild

@ -0,0 +1,38 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="~amd64"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
RDEPEND="~app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
~app-crypt/acme-${PV}[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/python-augeas[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="test? ( ${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}] )
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
nosetests || die
}

1
app-crypt/certbot-nginx/Manifest

@ -1,2 +1,3 @@
DIST certbot-0.15.0.tar.gz 942788 SHA256 87d306b1c013b472b8f548b38ccc476c125816435bb3b99e932fed09ac777296 SHA512 e884b34985a1128ce94d6b2be77af6ee86ded8b870e066f3f4bc22f78501f3f0a51060edcf75a11cd31dd525388adb8ccc4e2da0068b5b75be131d0fb0ca6844 WHIRLPOOL 01b172e8c7ac5d3678ee608b36d93f23943bf17f1e9c593cc1af3febcf0549b03961e69e537f099643dd9ee268497f76c2c18d8fa7a1d45753bc50e670375317
DIST certbot-0.17.0.tar.gz 1036099 SHA256 ed4334dce166bf38ecc7218449efda3798d62c7e2934a71702c0dc3d78eccdd1 SHA512 57fa830d19173eacdbb17242a3c446d9414f02e09fab6ccd41c82b15156bc103ec358ff3d515e94881fcf6438f6acfe449eee9bb3108df41f7b8f2395500b549 WHIRLPOOL cbfffc3866ffed3e0c702ac686768e879c7f1306a62dc050aab05e5a207b4f77a4acae9ca8f3ce973a6691d98838a488ab6335aa0692dd2b28a99c8aecff232d
DIST certbot-0.18.1.tar.gz 1043793 SHA256 c2d5342d1dffc5506ee02e06a7288d4ce5fb6f94d6b1b2cd8e0558c3de7dcff4 SHA512 62f9a247075d007f4b905646fbd63228303bfa7dd8c13c09b5f5205c9a0adce80b2956a796d10c8963058f6cf8f3e41acbae695a61187ef691af4dbbd0e693bf WHIRLPOOL e488ffad69cdad324760a203c15816eb271fd9c08690f3cb876f32f3e2333133a29b756cf63568ea16babc48a09aa5d9da9fc9b9ebe2450580430d50a81b03f9

34
app-crypt/certbot-nginx/certbot-nginx-0.18.1.ebuild

@ -0,0 +1,34 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="Nginx plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
CDEPEND=">=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
RDEPEND="${CDEPEND}
~app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
~app-crypt/acme-${PV}[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
>=dev-python/pyparsing-1.5.5[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="${CDEPEND}"

1
app-crypt/certbot/Manifest

@ -1,2 +1,3 @@
DIST certbot-0.15.0.tar.gz 942788 SHA256 87d306b1c013b472b8f548b38ccc476c125816435bb3b99e932fed09ac777296 SHA512 e884b34985a1128ce94d6b2be77af6ee86ded8b870e066f3f4bc22f78501f3f0a51060edcf75a11cd31dd525388adb8ccc4e2da0068b5b75be131d0fb0ca6844 WHIRLPOOL 01b172e8c7ac5d3678ee608b36d93f23943bf17f1e9c593cc1af3febcf0549b03961e69e537f099643dd9ee268497f76c2c18d8fa7a1d45753bc50e670375317
DIST certbot-0.17.0.tar.gz 1036099 SHA256 ed4334dce166bf38ecc7218449efda3798d62c7e2934a71702c0dc3d78eccdd1 SHA512 57fa830d19173eacdbb17242a3c446d9414f02e09fab6ccd41c82b15156bc103ec358ff3d515e94881fcf6438f6acfe449eee9bb3108df41f7b8f2395500b549 WHIRLPOOL cbfffc3866ffed3e0c702ac686768e879c7f1306a62dc050aab05e5a207b4f77a4acae9ca8f3ce973a6691d98838a488ab6335aa0692dd2b28a99c8aecff232d
DIST certbot-0.18.1.tar.gz 1043793 SHA256 c2d5342d1dffc5506ee02e06a7288d4ce5fb6f94d6b1b2cd8e0558c3de7dcff4 SHA512 62f9a247075d007f4b905646fbd63228303bfa7dd8c13c09b5f5205c9a0adce80b2956a796d10c8963058f6cf8f3e41acbae695a61187ef691af4dbbd0e693bf WHIRLPOOL e488ffad69cdad324760a203c15816eb271fd9c08690f3cb876f32f3e2333133a29b756cf63568ea16babc48a09aa5d9da9fc9b9ebe2450580430d50a81b03f9

52
app-crypt/certbot/certbot-0.18.1.ebuild

@ -0,0 +1,52 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
fi
inherit distutils-r1
DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
CDEPEND=">=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
RDEPEND="
${CDEPEND}
~app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
dev-python/configobj[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.2[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="
${CDEPEND}
test? (
>=dev-python/astroid-1.3.5[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/ipdb[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/pylint-1.4.2[${PYTHON_USEDEP}]
dev-python/wheel[${PYTHON_USEDEP}]
)"
python_test() {
nosetests -v ${PN} || die
}

1
app-crypt/signing-party/Manifest

@ -1,2 +1,3 @@
DIST signing-party_2.4.orig.tar.gz 197731 SHA256 02b3487ab80cb3030d33317ce1290c2700241fd2138f6768a49c63a55a6a62fe SHA512 0ab18af70314839193d25053c6b3de31afba173ae70a39b84e19aad8ec4864bbd95f9b685b3bc807674310c35af2dc75145eb6eb9d03d6a0ce84ce45ac7f29c0 WHIRLPOOL fb6892338c110751f7332905afd0336dae667104650a1bc10422111d169a398cfebbe2753202d8a64643eb0bd1a16bb0424b7e71be8651077985cbdb1bc51b99
DIST signing-party_2.5.orig.tar.gz 198105 SHA256 62db91ccbde650ffbb332beab9cba0676b0d42fc46034fa3c28a471cc0ec4bf8 SHA512 a04875bfaef791a6505134dd2530148d5e6baaa8aa5610e75d42fbf59e884fafffb5de2486425bb53e6464ff3fd35b974684d8bc85291750e4a7bd8bb82b0da3 WHIRLPOOL 7c070f194a67de7fe4ac2f479c6e15a96bf3f182a9065f293b60f5fb979f035c160860ec25ffe0fcc64b30561af94db40b3d8cb113dc8e8cf17cfe2f9bec5248
DIST signing-party_2.6.orig.tar.gz 201210 SHA256 d9458db6c5a01298838af99655c0edbebd0c955f50866c6e0f6f277a1dbbabd8 SHA512 094af9b354d958d382bf99a1f10a9f12585f85769686e3bc9b9b813016f68232775e4002c0a7accbc894c946f7532b32ee7f9b3e23d467b973041c092ba4efb9 WHIRLPOOL 4e8c873d0b7aa36442e82cfa204aa900bddd037b00d6bfdf12b18fe6a47acaff6c621956576d0371ed00b0b3985e0a40d6cc2e124f2649367d407ffe8433e0fe

121
app-crypt/signing-party/signing-party-2.6.ebuild

@ -0,0 +1,121 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit toolchain-funcs autotools
DESCRIPTION="A collection of several tools related to OpenPGP"
HOMEPAGE="http://pgp-tools.alioth.debian.org/"
SRC_URI="mirror://debian/pool/main/s/signing-party/${PN}_${PV}.orig.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
DEPEND="
dev-lang/perl
app-crypt/libmd
"
RDEPEND="${DEPEND}
>=app-crypt/gnupg-1.3.92
dev-perl/GnuPG-Interface
dev-perl/Text-Template
dev-perl/MIME-tools
net-mail/qprint
>=dev-perl/MailTools-1.62
dev-perl/Net-IDN-Encode
app-crypt/libmd
virtual/mailx
virtual/mta
|| (
dev-perl/libintl-perl
dev-perl/Text-Iconv
app-text/recode
)"
S="${WORKDIR}"
src_prepare() {
default
# app-crypt/keylookup
rm -r keylookup || die
# media-gfx/springgraph
rm -r springgraph || die
cd keyanalyze/pgpring || die
sed -i 's/AM_C_PROTOTYPES//' configure.ac || die
eautoreconf
cd "${WORKDIR}" || die
find . -name Makefile | xargs sed -i -e 's/CFLAGS:=/CFLAGS=/' -e 's/CPPFLAGS:=/CPPFLAGS=/' -e 's/LDFLAGS:=/LDFLAGS=/'
sed -i "s:/usr/share/doc/signing-party/caff/caffrc.sample:${EPREFIX}/usr/share/doc/${P}/caff/caffrc.sample.gz:g" \
caff/caff || die
sed -i -e 's/automake[^ ]*/true/g' -e 's/autoconf[^ ]*/true/g' keyanalyze/Makefile || die
sed -i 's/make /\$(MAKE) /' keyanalyze/Makefile || die
}
src_compile() {
emake \
CC="$(tc-getCC)" \
CPPFLAGS="${CPPFLAGS}" \
CFLAGS="${CFLAGS}" \
LDFLAGS="${LDFLAGS}" \
STRIP=true
}
src_install() {
einstalldocs
# Check Makefile when a new tool is introduced to this package.
# caff
dobin caff/caff caff/pgp-clean caff/pgp-fixkey
docinto caff
dodoc caff/{README*,THANKS,TODO,caffrc.sample}
# gpgdir
dobin gpgdir/gpgdir
docinto gpgdir
dodoc gpgdir/{VERSION,LICENSE,README,INSTALL,CREDITS,ChangeLog*}
# gpg-key2ps
dobin gpg-key2ps/gpg-key2ps
docinto gpg-key2ps
dodoc gpg-key2ps/README
# gpglist
dobin gpglist/gpglist
# gpg-mailkeys
dobin gpg-mailkeys/gpg-mailkeys
docinto gpg-mailkeys
dodoc gpg-mailkeys/{example.gpg-mailkeysrc,README}
# gpgparticipants
dobin gpgparticipants/gpgparticipants
# gpgwrap
dobin gpgwrap/bin/gpgwrap
docinto gpgwrap
dodoc gpgwrap/{LICENSE,NEWS,README}
doman gpgwrap/doc/gpgwrap.1
# gpgsigs
dobin gpgsigs/gpgsigs
insinto /usr/share/signing-party
# keyanalyze
# TODO: some of the scripts are intended for webpages, and not really
# packaging, so they are NOT installed yet.
newbin keyanalyze/pgpring/pgpring pgpring-keyanalyze
dobin keyanalyze/{keyanalyze,process_keys}
docinto keyanalyze
dodoc keyanalyze/{README,Changelog}
# See app-crypt/keylookup instead
#dobin keylookup/keylookup
#docinto keylookup
#dodoc keylookup/NEWS
# sig2dot
dobin sig2dot/sig2dot
dodoc sig2dot/README.sig2dot
# See media-gfx/springgraph instead
#dobin springgraph/springgraph
#dodoc springgraph/README.springgraph
# all other manpages, and the root doc
doman */*.1
dodoc README
}

1
app-crypt/yubikey-manager-qt/Manifest

@ -1 +1,2 @@
DIST yubikey-manager-qt-0.3.0_p20170316.tar.gz 174053 SHA256 69144073666e7ef4e8273fb1dd93b452a6091a5b9beabd2f3de41cce6d0b6668 SHA512 9280aeb242ab3e9f66b297d8cdab0b5f16bb966469932501bcfaf8d084d2db8f1c566ebdc82a4fb3f80ab196b946982f723a1cf8a36736c8dd874757b94c2472 WHIRLPOOL 6ae4c54242a83553d58cd78a24b2e99b73df004af0d8008f34a3ba635672fd2ef2b587ad3301aa1fdd3d619014704abdfe512b3d6ad9c55ae4f4f4b33aceb21b
DIST yubikey-manager-qt-0.3.1.tar.gz 175215 SHA256 e41bcda5aae5e0f92158f591e8e584d25c9b4872475f8e4253c7a7671e94c859 SHA512 d47a6b75b50c2dca073ab74ea2d7c7c46ff86ec338f52d49afd39796cc1f3de7ddd74664b5f60f9013393b9ca24621da63d218eb3c2cb3017fefed2370b269d1 WHIRLPOOL 1d6de66f0450d72e29b9e9a2a959f4ca8ed7c8614b976115ecfb433e8b5f1795d12e6d907f73152b6bef3de6510cbcf236b2386b18a3cba2094269f78522196a

39
app-crypt/yubikey-manager-qt/yubikey-manager-qt-0.3.1.ebuild

@ -0,0 +1,39 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{4,5,6} )
inherit qmake-utils python-single-r1 vcs-snapshot
DESCRIPTION="Cross-platform application for configuring any YubiKey over all USB transports"
HOMEPAGE="https://developers.yubico.com/yubikey-manager-qt https://github.com/Yubico/yubikey-manager-qt"
SRC_URI="https://github.com/Yubico/yubikey-manager-qt/archive/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
DEPEND="app-crypt/yubikey-manager[${PYTHON_USEDEP}]
dev-python/pyotherside[${PYTHON_USEDEP}]
dev-qt/qtsingleapplication[qt5]
dev-qt/qtdeclarative:5
dev-qt/qtwidgets:5"
RDEPEND="${DEPEND}"
src_prepare() {
default
rm -rf vendor ykman-gui/vendor || die
sed -i -e "s/ykman-cli//" ${PN}.pro || die
sed -i -e "/qtsingleapplication.pri/d" -e "/CONFIG += c++11/a CONFIG += qtsingleapplication" -i ykman-gui/ykman-gui.pro || die
}
src_configure() {
eqmake5
}
src_install() {
emake install INSTALL_ROOT="${D}"
}

1
app-editors/focuswriter/Manifest

@ -1,2 +1,3 @@
DIST focuswriter-1.6.5-src.tar.bz2 10194695 SHA256 48e949986a65bc51f46f10c075de2904b2e1feb0e1c74c0a8efe99cd8c2de0ce SHA512 a15024bc94f0212db2ec4f8d88b942fc3640b2917f130b1fbfb04ab616ed4d10baa11f9cab8d27a8fc40150bfa3e25d3afe1d76581dbe96a3cd6d62530207e12 WHIRLPOOL acb8fb4cc802a4f12758d02250fb14ef9b1eef4dad5aa98219c3a985f5df56c9fb780f7668a52e4ef7944b5e153386b00aff86c0e8e6161a99aa2bbf818d92b0
DIST focuswriter-1.6.6-src.tar.bz2 10195488 SHA256 472e78de5443f52b3fbad0be0096b3eb5425e2719813b75ce28aa2c8d9b6340a SHA512 d4faae8477080e3898bad144e154c4c43232befe0c2ee90643a816cbb847d3eb25ed8f6fe916cafa5d445c4b3483e880f84015f952f4606bc01f595aa01e113a WHIRLPOOL 0570009d2240c42c128ecd35274bd876ff026b6f9a2abb6d56aa686fadc4f1aebd8c2e637ae6574a377e501e406c19c34088667c34cf8c76a37400c28c1ddae7
DIST focuswriter-1.6.7-src.tar.bz2 10196583 SHA256 bf78e596d7ed9de774bef5bbe75f1f0a01d626198fce6c8062a679936dfc3883 SHA512 d33c66881b1065aa9812dae14a5fe2a2850ce1c50f4b38e028bcd3f5a4bb1fd489705b0272e3233f3db468b262daefbd906025126f792d04af41722cde2c7bf5 WHIRLPOOL 32f19b772f069907cfefa69e2d0c1b633392d47a852cda3f811622ef24ec4e4d59270468a87bdc28f022453b3ed7eba86d4749882defae126ccae527ae0926eb

54
app-editors/focuswriter/focuswriter-1.6.7.ebuild

@ -0,0 +1,54 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit gnome2-utils qmake-utils xdg-utils
DESCRIPTION="A fullscreen and distraction-free word processor"
HOMEPAGE="https://gottcode.org/focuswriter/"
SRC_URI="https://gottcode.org/${PN}/${P}-src.tar.bz2"
LICENSE="LGPL-3 GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="
app-text/hunspell:=
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtmultimedia:5
dev-qt/qtprintsupport:5
dev-qt/qtsingleapplication[qt5,X]
dev-qt/qtwidgets:5
sys-libs/zlib
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5
dev-qt/qtconcurrent:5
virtual/pkgconfig
"
DOCS=( ChangeLog CREDITS NEWS README )
PATCHES=( "${FILESDIR}/${PN}-1.6.0-unbundle-qtsingleapplication.patch" )
src_configure() {
eqmake5 PREFIX="${EPREFIX}/usr"
}
src_install() {
emake INSTALL_ROOT="${D}" install
einstalldocs
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_desktop_database_update
}

2
app-editors/mg/mg-20170401.ebuild

@ -11,7 +11,7 @@ SRC_URI="http://homepage.boetes.org/software/mg/${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha ~amd64 arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE="livecd"
RDEPEND="sys-libs/ncurses:0

1
app-emulation/docker-bench-security/Manifest

@ -0,0 +1 @@
DIST docker-bench-security-1.3.2.tar.gz 414608 SHA256 9054a7f48b6519aa618df64bf09429e6178ae4a7199164cb4db7b95f05e8df19 SHA512 7d271167584ff99fdaff15b1d303f1cedeb5888057437cc3bfae8260aff96f98d8a0173c4d4e5718bf8ee4e0ffe3ae0280f0026cf386ae32c38e8302159a2226 WHIRLPOOL 923ca76221cb1056daaa32e7d98326548fa6107a10b0325ad99687fad87df2b1fafde44c218459c2f33825f58e69ee36de62107765f0fd5f83c4e58348dcf24c

24
app-emulation/docker-bench-security/docker-bench-security-1.3.2.ebuild

@ -0,0 +1,24 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Test for best practices around deploying docker containers"
HOMEPAGE="https://github.com/docker/docker-bench-security"
SRC_URI="https://github.com/docker/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND=">=app-emulation/docker-1.10"
src_install() {
dobin "${FILESDIR}/docker-bench-security"
exeinto /usr/lib/${PN}
doexe ${PN}.sh
insinto /usr/lib/${PN}
doins -r *lib.sh tests
dodoc -r benchmark_log.png CONTRIBUTING.md distros docker-compose.yml \
Dockerfile MAINTAINERS README.md
}

7
app-emulation/docker-bench-security/files/docker-bench-security

@ -0,0 +1,7 @@
#!/bin/sh
if [ $(id -u) -ne 0 ]; then
printf "%s\n" "This script must be run as root."
exit 1
fi
cd "$(dirname $0)/../lib/docker-bench-security"
./docker-bench-security.sh

12
app-emulation/docker-bench-security/metadata.xml

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>williamh@gentoo.org</email>
<name>William Hubbs</name>
</maintainer>
<longdescription lang="en">
The Docker Bench for Security is a script that checks for dozens of
common best-practices around deploying Docker containers in production.
</longdescription>
</pkgmetadata>

3
app-emulation/docker-compose/Manifest

@ -1,3 +1,2 @@
DIST docker-compose-1.13.0.tar.gz 201429 SHA256 3c7b62cd0ab5f33d21db197d8a74739d320a6fe32e4ef8282c35d4dee5a7c77c SHA512 a435cd1634a66924e04b89ca8b3481bb0e4288b03a2e9acc50d01b56a40996e0d51a2d856da8ef6a6e784617b4cda85f7966c372e256dc8b7b0ab0f0ebf60a20 WHIRLPOOL 1e6652f97c55705a0e97f6a16f95a2659ef6ef5f53cc85bb6f8a416d711dca21eb3882912d528afbc68f1fb1d6f8d824273352e86b21e2168f9af812790bcbfc
DIST docker-compose-1.14.0.tar.gz 205658 SHA256 5649124df5f11b66298e54e6abde0e6991cafa33bc8d69ad037736bf4e276c79 SHA512 d9216744b70155044d5eeffc5a29c4341a217b46af8904ee4ac11c6c766e0233225f5d65ee8f1bed6979cf2443df10f1b8ebca09a1e092aa0e07ec8afed52c77 WHIRLPOOL 83aa666f229cf8fae3c163dc1f9840cc7d6273459819f8a68c1daf989d2354795075edfa171945ab5aaf5ecdf400f7104e9e650c073d08ac7d51d47521d876fe
DIST docker-compose-1.15.0.tar.gz 210455 SHA256 af569f676c7a04a32d3fc4a72c739cb52d8b6305040295178c5388394b45e579 SHA512 98de68db089754eb73a6f65971fca393703680241bce02e13fdbc88cbcdab93a3dbf3b94f359f8a9ff296535f001f06baee238d174e1555b39bd581d46328f42 WHIRLPOOL 7e13fceca7142f1e4ac80893faeb85bd4e935329c041a04c75e11b4c353520db748ad3e6c20fdc4ba1070bc130cc993e5a122758e6cb9b703fe889a1ee4f649c
DIST docker-compose-1.16.1.tar.gz 212167 SHA256 fb46a6a2c4d193a3ff1e4d7208eea920b629c81dc92257c87f3f93095cfb0bdf SHA512 add6aa5647352b993e5eba81c41815467cea82d39643a755c9f24ffeeb482e2b22423a9e3facdd94f41b382b2726cb65433516881971a8f373c79bce44923c4a WHIRLPOOL 144c8905fc06d11a2ed9583acb8d2dbf739771f2b90f60b6d90bce64a27d705b449a9df9e79754be094e3d1fec15993f88eecebc3647af32b7e54050338e39ca

68
app-emulation/docker-compose/docker-compose-1.13.0.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit bash-completion-r1 distutils-r1 vcs-snapshot
MY_PV=${PV//_/}
DESCRIPTION="Multi-container orchestration for Docker"
HOMEPAGE="https://www.docker.com/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
CDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
<dev-python/cached-property-2[${PYTHON_USEDEP}]
>=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
<dev-python/colorama-0.4[${PYTHON_USEDEP}]
>=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
<dev-python/dockerpty-0.5[${PYTHON_USEDEP}]
>=dev-python/docker-py-2.2.1[${PYTHON_USEDEP}]
<dev-python/docker-py-3.0[${PYTHON_USEDEP}]
>=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
<dev-python/docopt-0.7[${PYTHON_USEDEP}]
>=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
<dev-python/jsonschema-3[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
<dev-python/pyyaml-4[${PYTHON_USEDEP}]
!~dev-python/requests-2.11.0[${PYTHON_USEDEP}]
<dev-python/requests-2.12[${PYTHON_USEDEP}]
>=dev-python/requests-2.6.1[${PYTHON_USEDEP}]
>=dev-python/six-1.3.0[${PYTHON_USEDEP}]
<dev-python/six-2[${PYTHON_USEDEP}]
>=dev-python/texttable-0.8.1[${PYTHON_USEDEP}]
<dev-python/texttable-0.9[${PYTHON_USEDEP}]
>=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
<dev-python/websocket-client-1.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/enum34-1.0.4[${PYTHON_USEDEP}]' 'python2_7' )
$(python_gen_cond_dep '<dev-python/enum34-2[${PYTHON_USEDEP}]' 'python2_7' )
"
DEPEND="
${CDEPEND}
test? (
dev-python/pytest[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2_7' )
)
"
RDEPEND="${CDEPEND}"
python_test() {
${PYTHON} -m pytest tests/unit || die "tests failed under ${EPYTHON}"
}
python_install_all() {
newbashcomp contrib/completion/bash/docker-compose ${PN}
insinto /usr/share/zsh/site-functions
doins contrib/completion/zsh/*
distutils-r1_python_install_all
}

68
app-emulation/docker-compose/docker-compose-1.14.0.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit bash-completion-r1 distutils-r1 vcs-snapshot
MY_PV=${PV//_/}
DESCRIPTION="Multi-container orchestration for Docker"
HOMEPAGE="https://www.docker.com/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
CDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
<dev-python/cached-property-2[${PYTHON_USEDEP}]
>=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
<dev-python/colorama-0.4[${PYTHON_USEDEP}]
>=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
<dev-python/dockerpty-0.5[${PYTHON_USEDEP}]
>=dev-python/docker-py-2.3.0[${PYTHON_USEDEP}]
<dev-python/docker-py-3.0[${PYTHON_USEDEP}]
>=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
<dev-python/docopt-0.7[${PYTHON_USEDEP}]
>=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
<dev-python/jsonschema-3[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
<dev-python/pyyaml-4[${PYTHON_USEDEP}]
!~dev-python/requests-2.11.0[${PYTHON_USEDEP}]
<dev-python/requests-2.12[${PYTHON_USEDEP}]
>=dev-python/requests-2.6.1[${PYTHON_USEDEP}]
>=dev-python/six-1.3.0[${PYTHON_USEDEP}]
<dev-python/six-2[${PYTHON_USEDEP}]
>=dev-python/texttable-0.8.1[${PYTHON_USEDEP}]
<dev-python/texttable-0.9[${PYTHON_USEDEP}]
>=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
<dev-python/websocket-client-1.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/enum34-1.0.4[${PYTHON_USEDEP}]' 'python2_7' )
$(python_gen_cond_dep '<dev-python/enum34-2[${PYTHON_USEDEP}]' 'python2_7' )
"
DEPEND="
${CDEPEND}
test? (
dev-python/pytest[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2_7' )
)
"
RDEPEND="${CDEPEND}"
python_test() {
${PYTHON} -m pytest tests/unit || die "tests failed under ${EPYTHON}"
}
python_install_all() {
newbashcomp contrib/completion/bash/docker-compose ${PN}
insinto /usr/share/zsh/site-functions
doins contrib/completion/zsh/*
distutils-r1_python_install_all
}

71
app-emulation/docker-compose/docker-compose-1.16.1.ebuild

@ -0,0 +1,71 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit bash-completion-r1 distutils-r1 vcs-snapshot
MY_PV=${PV//_/}
DESCRIPTION="Multi-container orchestration for Docker"
HOMEPAGE="https://www.docker.com/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
CDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
<dev-python/cached-property-2[${PYTHON_USEDEP}]
>=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
<dev-python/dockerpty-0.5[${PYTHON_USEDEP}]
>=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
<dev-python/docker-py-3.0[${PYTHON_USEDEP}]
>=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
<dev-python/docopt-0.7[${PYTHON_USEDEP}]
>=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
<dev-python/jsonschema-3[${PYTHON_USEDEP}]
>=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}]
!~dev-python/PySocks-1.5.7[${PYTHON_USEDEP}]
<dev-python/PySocks-2[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]